<div class="">
    <header class="login">
        <div class="logo icon">
            <img src="" alt="AVACO">
        </div>
    </header>

    <div class="credentialsBox login">
        <div class="paddingBtmSml helveticaMed smallTitle borderBtm marginBtm">Create Account</div>
        <ul class="form">
            <li>
                <div class="tag">Username</div>
                <input type="text" name="username" ngModel #usernamecontrol="ngModel" [(ngModel)]="username"
                    pattern="^[a-z0-9._-]{5,30}$" required />
                <div *ngIf="usernamecontrol.touched">
                    <small *ngIf="usernamecontrol.errors?.required" class="alert-msg">
                        Username is a required field!
                    </small>
                    <small *ngIf="usernamecontrol.errors?.pattern" class="alert-msg">
                        This is not a valid Username!!!
                    </small>
                </div>
            </li>
            <li>
                <div class="tag">Password</div>
                <input type="password" name="password" ngModel #passwordcontrol="ngModel" [(ngModel)]="password"
                    pattern="^(?=.*[A-Z])(?=.*[!@#$&*])(?=.*[0-9])(?=.*[a-z]).{8,16}$" required>
                <div *ngIf="passwordcontrol.touched">
                    <small *ngIf="passwordcontrol.errors?.required" class="alert-msg">
                        Password is a required field!
                    </small>
                    <small *ngIf="passwordcontrol.errors?.pattern" class="alert-msg">
                        This is not a valid Password!!!
                    </small>
                </div>
            </li>
            <li>
                <div class="tag">Re-enter Password</div>
                <input type="password" name="confirmpassword" ngModel #confirmpasswordcontrol="ngModel"
                    [(ngModel)]="confirmpassword" pattern="^(?=.*[A-Z])(?=.*[!@#$&*])(?=.*[0-9])(?=.*[a-z]).{8,16}$"
                    required>
                <div *ngIf="confirmpasswordcontrol.touched">
                    <small *ngIf="confirmpasswordcontrol.errors?.required" class="alert-msg">
                        Password is a required field!
                    </small>
                    <small *ngIf="confirmpasswordcontrol.errors?.pattern" class="alert-msg">
                        This is not a valid Password!!!
                    </small>

                </div>
            </li>
            <li>
                <div class="tag">Email</div>
                <input type="email" name="email" ngModel #emailcontrol="ngModel" [(ngModel)]="email"
                    pattern="^([a-zA-Z0-9_\-\.]+)@([a-zA-Z0-9_\-\.]+)\.([a-zA-Z]{2,5})$" required>
                <div *ngIf="emailcontrol.touched">
                    <small *ngIf="emailcontrol.errors?.required" class="alert-msg">
                        Email is a required field!
                    </small>
                    <small *ngIf="emailcontrol.errors?.pattern" class="alert-msg">
                        This is not a valid Email!!!
                    </small>

                </div>
            </li>
        </ul>
        <a routerLink="/login" class="btn full">Create Account</a>
    </div>

</div>
